import "../chunk-3BJF5RIA.js";
import "../chunk-OUD6NWHY.js";
import "../chunk-JILZTJP6.js";
import "../chunk-XVAJNYPD.js";
import "../chunk-YFNV56TG.js";
import "../chunk-JECDIA7E.js";
import "../chunk-EVAYU6PJ.js";
import "../chunk-TQ5BTIUP.js";
import "../chunk-ZSX3K6MH.js";
import "../chunk-ULUVSAMK.js";
import "../chunk-PJDBG5VS.js";
import "../chunk-3PCE3IPH.js";
import "../chunk-WEBXXRYZ.js";
import "../chunk-YVSRTSI6.js";
import "../chunk-TSCDX4AS.js";
import "../chunk-D6B6MYVG.js";
import "../chunk-XWWQZH6C.js";
import "../chunk-Y7J6ADHV.js";
import "../chunk-OKUAPZFI.js";
import "../chunk-QS2OVW4B.js";
import "../chunk-7IUVQQ4S.js";
import "../chunk-MIZOLME5.js";
import "../chunk-UJR57SSR.js";
import "../chunk-YX6CL4KH.js";
import "../chunk-I45WP5PM.js";
import {
  datetimeToLocal,
  datetimeToUTC,
  duration,
  parseDate
} from "../chunk-ZFRTRIT4.js";
import "../chunk-CFICINSP.js";
import "../chunk-N76BJLOM.js";
import "../chunk-5Y3HYG6B.js";
import "../chunk-FPJHSFML.js";
import "../chunk-XSB2WAW2.js";
import "../chunk-NYCGHEIN.js";
import "../chunk-AS5LR4AI.js";
import "../chunk-XHROZN2O.js";
import "../chunk-3SMFSMCY.js";
import "../chunk-X2DIUKLP.js";
import "../chunk-KCHV27UP.js";
import "../chunk-DUQ7DD4G.js";
import "../chunk-2HWPZ6ZE.js";
import "../chunk-DGP32WEQ.js";
import "../chunk-NS46DWU4.js";
import "../chunk-73CVRDI7.js";
import "../chunk-FL5CT6MC.js";
import "../chunk-MVRB7Y7X.js";
import {
  sleep
} from "../chunk-FSDCRQB3.js";
import "../chunk-MRFHKDNG.js";
import "../chunk-HLRQ5H3N.js";
import "../chunk-DXSTF7NX.js";
import "../chunk-AY5LGXTC.js";
import "../chunk-OQSDTQAF.js";
import "../chunk-SOTGICOC.js";
import "../chunk-DUON5DN5.js";
import "../chunk-GY34N3KU.js";
import "../chunk-IZT6OHMS.js";
import "../chunk-JJD2XTS2.js";
import "../chunk-TYWNSO7K.js";
import "../chunk-ZMFW3O35.js";
import "../chunk-5BQNKE5C.js";
import "../chunk-7NSVDPHN.js";
import "../chunk-WG6ZJDFQ.js";
import "../chunk-VWBTJP5F.js";
import "../chunk-LRAR7IPU.js";

// src/common/time.spec.ts
describe("time.spec", () => {
  it("should measure", async () => {
    const getDuration = duration();
    await sleep(50);
    const elapsed = getDuration();
    expect(/\d+.\d\d ms/.test(elapsed)).toBe(true);
  });
  it("should parse valid date strings", () => {
    const date1 = parseDate("2022-01-01");
    const date2 = parseDate("2022-01-01T12:00:00");
    expect(date1).toEqual(new Date(2022, 0, 1, 12, 0));
    expect(date2).toEqual(/* @__PURE__ */ new Date("2022-01-01T12:00:00"));
  });
  it("should return undefined for invalid date strings", () => {
    const date = parseDate("invalid-date");
    expect(date).toBeUndefined();
  });
  it("should return the input date if it is already a Date object", () => {
    const inputDate = /* @__PURE__ */ new Date();
    const date = parseDate(inputDate);
    expect(date).toBe(inputDate);
  });
  it("should convert dates", () => {
    const dateLocal = /* @__PURE__ */ new Date("2022-01-01T12:00:00");
    expect(datetimeToLocal(datetimeToUTC(dateLocal))).toEqual(dateLocal);
  });
});
//# sourceMappingURL=time.spec.js.map